## golang-github-maraino-go-mock 0.0~git20180321.4c74c43

=== Makefile ===
PACKAGE=github.com/maraino/go-mock

all:
	go build $(PACKAGE)

test:
	go test -cover $(PACKAGE)

cover: 
	go test -coverprofile=c.out $(PACKAGE)
	go tool cover -html=c.out

=== debian/changelog ===
golang-github-maraino-go-mock (0.0~git20180321.4c74c43-1) unstable; urgency=medium

  * Initial release (Closes: #909645)

 -- Sascha Steinbiss <satta@debian.org>  Mon, 24 Sep 2018 18:59:55 +0200

=== debian/control ===
Source: golang-github-maraino-go-mock
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-pretty-dev
Standards-Version: 4.1.4
Homepage: https://github.com/maraino/go-mock
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-maraino-go-mock
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-maraino-go-mock.git
XS-Go-Import-Path: github.com/maraino/go-mock
Testsuite: autopkgtest-pkg-go

Package: golang-github-maraino-go-mock-dev
Architecture: all
Depends: ${misc:Depends},
         golang-pretty-dev
Description: mocking framework for the Go programming anguage
 Go-mock is a Golang framework for easily mocking an interface. It defines
 various stubs and adapters that can be used to simulate code on the other
 side of the interface.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-maraino-go-mock-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/maraino/go-mock/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-maraino-go-mock 0.0~git20230823.b114e0e

=== debian/changelog ===
golang-github-maraino-go-mock (0.0~git20230823.b114e0e-1) unstable; urgency=medium

  * New upstream snapshot.
  * Re-introduce watchfile.
  * Bump Standards-Version.
  * Switch section to golang.
  * Bump copyright date for debian/ directory.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 03 Apr 2024 12:09:24 +0200

golang-github-maraino-go-mock (0.0~git20180321.4c74c43-3) unstable; urgency=medium

  * Remove unused watchfile.
  * Bump Standards-Version.
  * Set Rules-Requires-Root.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 02 Nov 2021 15:10:10 +0100

golang-github-maraino-go-mock (0.0~git20180321.4c74c43-2) unstable; urgency=medium

  * Update build-depends for golang-github-kr-pretty-dev (Closes: #961820)
  * Use debhelper 13.
  * Bump Standards-Version.
  * Add bug database information to d/u/metadata.
  * Remove unneeded Files-Excluded in d/copyright.
  * Fix typo in short description.
    Thanks to Brian Murray <brian@ubuntu.com> for the hint and patch.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 14 Jun 2020 18:28:25 +0200

=== debian/control ===
Source: golang-github-maraino-go-mock
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-kr-pretty-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/maraino/go-mock
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-maraino-go-mock
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-maraino-go-mock.git
XS-Go-Import-Path: github.com/maraino/go-mock
Testsuite: autopkgtest-pkg-go

Package: golang-github-maraino-go-mock-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-kr-pretty-dev
Multi-Arch: foreign
Description: mocking framework for the Go programming language
 Go-mock is a Golang framework for easily mocking an interface. It defines
 various stubs and adapters that can be used to simulate code on the other
 side of the interface.

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
https://github.com/maraino/go-mock.git HEAD
